formula.fixest {fixest} | R Documentation

## Extract the formula of a `fixest` fit

### Description

This function extracts the formula from a `fixest` estimation (obtained with `femlm`, `feols` or `feglm`). If the estimation was done with fixed-effects, they are added in the formula after a pipe (“|”). If the estimation was done with a non linear in parameters part, then this will be added in the formula in between `I()`.

### Usage

    ## S3 method for class 'fixest'
    formula(x, type = c("full", "linear", "NL"), ...)

### Arguments

`x` | An object of class `fixest`. Typically the result of a `femlm`, `feols` or `feglm` estimation.
`type` | A character scalar. Default is `type = "full"` which gives back a formula containing the linear part of the model along with the clusters (if any) and the non-linear in parameters part (if any). If `type = "linear"` then only the linear formula is returned. If `type = "NL"` then only the non linear in parameters part is returned.
`...` | Not currently used.

### Value

It returns a formula.

### Author(s)

Laurent Berge

### See Also

See also the main estimation functions `femlm`, `feols` or `feglm`. `model.matrix.fixest`, `update.fixest`, `summary.fixest`, `vcov.fixest`.

### Examples

    # simple estimation on iris data, clustering by "Species"
    res = femlm(Sepal.Length ~ Sepal.Width + Petal.Length +
                Petal.Width | Species, iris)

    # formula with the cluster variable
    formula(res)
    # linear part without the cluster variable
    formula(res, "linear")

[Package fixest version 0.1.0 Index]